Update Getopt-Long to CPAN version 2.44
authorChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Sat, 21 Feb 2015 13:08:08 +0000 (13:08 +0000)
committerChris 'BinGOs' Williams <chris@bingosnet.co.uk>
Sat, 21 Feb 2015 13:08:08 +0000 (13:08 +0000)
  [DELTA]

Changes in version 2.44
-----------------------

* Be gentle to the user community and turn fix 92462 into a warning.
  This may be changed back to error in some future release.

Porting/Maintainers.pl
cpan/Getopt-Long/lib/Getopt/Long.pm

index 078a4d3..4dbf13f 100755 (executable)
@@ -585,7 +585,7 @@ use File::Glob qw(:case);
     },
 
     'Getopt::Long' => {
-        'DISTRIBUTION' => 'JV/Getopt-Long-2.43.tar.gz',
+        'DISTRIBUTION' => 'JV/Getopt-Long-2.44.tar.gz',
         'FILES'        => q[cpan/Getopt-Long],
         'EXCLUDED'     => [
             qr{^examples/},
index 0be46fe..8a99db9 100644 (file)
@@ -4,8 +4,8 @@
 # Author          : Johan Vromans
 # Created On      : Tue Sep 11 15:00:12 1990
 # Last Modified By: Johan Vromans
-# Last Modified On: Wed Jan 14 15:03:41 2015
-# Update Count    : 1680
+# Last Modified On: Thu Feb 19 09:15:53 2015
+# Update Count    : 1682
 # Status          : Released
 
 ################ Module Preamble ################
@@ -17,10 +17,10 @@ use 5.004;
 use strict;
 
 use vars qw($VERSION);
-$VERSION        =  2.43;
+$VERSION        =  2.44;
 # For testing versions only.
 use vars qw($VERSION_STRING);
-$VERSION_STRING = "2.43";
+$VERSION_STRING = "2.44";
 
 use Exporter;
 use vars qw(@ISA @EXPORT @EXPORT_OK);
@@ -374,7 +374,9 @@ sub GetOptionsFromArray(@) {
            }
            $linkage{'<>'} = shift (@optionlist);
            if ( $passthrough ) {
-               $error .= "Option spec <> cannot be used with pass_through\n";
+               # Too harsh... for now.
+               # $error .= "Option spec <> cannot be used with pass_through\n";
+               warn("Option spec <> cannot be used with pass_through. FIX IT!\n");
            }
            next;
        }